commit:     8585131bdc07b66519a8904433d7f2b47f95737d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 27 22:27:05 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Feb 27 22:53:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8585131b

app-emacs/buttercup: bump to 1.34

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/buttercup/Manifest              |  1 +
 app-emacs/buttercup/buttercup-1.34.ebuild | 38 +++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/app-emacs/buttercup/Manifest b/app-emacs/buttercup/Manifest
index 79f973c76f83..c9c11d4c5328 100644
--- a/app-emacs/buttercup/Manifest
+++ b/app-emacs/buttercup/Manifest
@@ -1 +1,2 @@
 DIST buttercup-1.33.tar.gz 91925 BLAKE2B 
d17788f34b001fffa6322d0d3d1f397a32708c1906e993581ef299e6e3897fce90bea186e1cedde4c86c63083e0cc53d016a8c3bd431e7f18a36e70d0ecbd061
 SHA512 
95fb4031663ed0fa7a023c924ce8bf4b077ace65f0680a7a8ecfdfa5359b30e6d42b27ad857ed1b24ea405c7a49c7b182d337e2bf1c37d971bebba98b37f4f12
+DIST buttercup-1.34.tar.gz 92551 BLAKE2B 
51335027d4ee799e80563355eee1dbadddf2bf92e5790eb7afb2fbfd5a53fdc17ab09eec75b5e6712faac4f03e29c6493914f848a584f594710d9c5a379e4361
 SHA512 
8aa788b5937ecb89d7a8e486d28df78cb582024c438d6e5ec9ad582b17351b116bca87771a0e8d7386e8357d39f6ca8b109612258e55ca16497f4189eddb7a99

diff --git a/app-emacs/buttercup/buttercup-1.34.ebuild 
b/app-emacs/buttercup/buttercup-1.34.ebuild
new file mode 100644
index 000000000000..413b4cf227ab
--- /dev/null
+++ b/app-emacs/buttercup/buttercup-1.34.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Behaviour-driven Elisp testing"
+HOMEPAGE="https://github.com/jorgenschaefer/emacs-buttercup";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/jorgenschaefer/emacs-${PN}.git";
+else
+       
SRC_URI="https://github.com/jorgenschaefer/emacs-${PN}/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz"
+       S="${WORKDIR}/emacs-${P}"
+
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+DOCS=( docs/{running,writing}-tests.md  )
+SITEFILE="50${PN}-gentoo.el"
+
+src_test() {
+       ${EMACS} ${EMACSFLAGS} -L . -l buttercup \
+               -f buttercup-run-discover || die "tests failed"
+}
+
+src_install() {
+       elisp_src_install
+
+       dobin "bin/${PN}"
+}

Reply via email to